Contents inside <pre> are not rendered as monospace font in Chrome for Mac
Status: Closed Start date:

Priority: Normal Due date:

Assignee: Jean-Philippe Lang % Done: 0%
Category: ul Estimated time: 0.00 hour
Target version: 3.1.0

Resolution: Fixed Affected version:

Description

Although contents inside pre elements are expected to be rendered as monospace font, but san-serif fonts are used for them when
accessing Redmine with Chrome for Mac.

This can be fixed by setting CSS font-family.

current trunk:
A proportional font is used to show source code. 4 spaces indentation looks like 2 or 3 spaces. Undesirable.

Description
#include <stdio.h>

int main(void)
{
int i;
for(i=1;i<=100;i++) ]
if(i23==08&1%5==0){
printf("FizzBuzz\n");
Jelseif (i% 3 ==0) {
printf("Fizz\n");
Jelseif (1% 5==0){
printf("Buzz'n");
} else {
printf{"%d\n", i);
}
!

return O;

i
i

with the patch:

Source code should be rendered like this.

Description

#include <stdio.h>

int main{void)
{ M N
int i;
for (i = 1; 1 <= 100; i++) {
if (1% 3 ==08& 1%5==28){
printf("FizzBuzz\n"):
} else if (i ¥ 3 == @) {
printf("Fizz\n"):
} else if (i ¥ 5 == @) {
printf("Buzzin");
} else {
printf("%d\n", 1);
¥
}

return 8;

This patch adds the following line to the stylesheet.
pre, code {font-family: Consolas, Menlo, "Liberation Mono", Courier, monospace; }
This covers many operating systems.
e Consolas: included with windows

¢ Menlo: included with Mac and iOS
e Liberation Mono: included with Ubuntu

Related issues:
Related to Redmine - Defect #20407: Monospace font-family values are differ b... Closed
Related to Redmine - Defect #32170: Text enclosed in pre tag in Wiki formatti... Closed

Associated revisions

Revision 14451 - 2015-07-25 08:52 - Jean-Philippe Lang

Contents inside
are not rendered as monospace font in Chrome for Mac (#20372).

Patch by Go MAEDA.

Revision 14452 - 2015-07-25 08:52 - Jean-Philippe Lang
Merged r14451 (#20372).

History

#1 - 2015-07-20 02:29 - Go MAEDA
- Description updated

- Target version set to 3.1.0

Let's include this fix in the next release.

#2 - 2015-07-25 08:52 - Jean-Philippe Lang
- Status changed from New to Closed
- Assignee set to Jean-Philippe Lang

- Resolution set to Fixed

Patch committed, thanks.

#3 - 2015-07-25 08:55 - Go MAEDA

Thanks for merging!

#4 - 2015-07-26 13:30 - Go MAEDA

- Related to Defect #20407: Monospace font-family values are differ between application.css and scm.css added

#5 - 2019-09-29 15:07 - Go MAEDA

- Related to Defect #32170: Text enclosed in pre tag in Wiki formatting reference is not displayed in monospaced font in Chrome added

Files

without-patch.png 41 KB 2015-07-19 Go MAEDA
with-patch.png 34.6 KB 2015-07-19 Go MAEDA
chrome-mac-monospace-font-fix.diff 477 Bytes 2015-07-19 Go MAEDA
